:root {
  --main-bg-color: #f5f5f5;
  --main-menu-color: lightblue;
  --main-color: #666;
  --main-color-light: #589a96;
  --white: #fff;
  --black: #000;
}


html, body {
  font-family: 'Montserrat', sans-serif;
  background-color: var(--main-bg-color);
  font-size: 16px;
  line-height: 1.5rem;
  color: var(--main-color);
}

header {
  display: flex;
  width: 100%;
  background-color: var(--white);
  box-shadow: 0px 4px 16px rgba(0,0,0,.15);
  position: fixed;
  top: 0;
  z-index: 100;
}

header nav {
  display: flex;
  width: 100%;
  justify-content: space-between;
  height: 60px;
  align-items: stretch;
}

header nav img {
  margin: 10px auto;
  max-height: 40px;
  height: 100%;
  width: auto;
}

header nav ul {
  display: none;
  align-self: center;
  padding: 0;
  flex-wrap: wrap;
  align-items: stretch;
  margin: 0;
  height: 100%;
}

header nav ul li {
  list-style: none;
  margin: 0 10px;
}

header nav ul li a {
  color: var(--main-color);
  font-weight: 300;
  text-decoration: none;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  box-sizing: border-box;
}

header nav ul li a:hover, 
header nav ul li a:active {
  border-bottom: 4px solid var(--main-color-light);
}

main {
  width: 100%;
}

section {
  padding: 0 10px;
}

footer {
  display: flex;
  flex-direction: column;
  text-align: center;
  font-size: 0.75rem;
  background-color: var(--main-menu-color);  
  margin-top: 10px;
  padding: 10px 0;
}

footer p {
  margin: 0;
}

input,
textarea {
  background:var(--white);
  border: 1px solid var(--main-color);
  color: var(--black);
}

#hero {
  background-image: url('../img/solidariedade.jpg');
  background-size: cover;
  background-position: center center;
  margin-top: 60px;
  text-align: center;
  position: relative;
  padding: 0;
  height: 400px;
}

#hero .overlay {
  display: flex;
  justify-content: flex-end;
  background-color: rgba(0,0,0,.5);
}

#hero .hero-content {
  display: flex;
  flex-direction: column;
  height: 100%;
  align-content: center;
  justify-content: center;
  color: #fff;
  margin: 0 10px;
  
}

#sobre {
  margin: 40px auto;
}

#sobre h1,
#sobre h2 {
  text-align: center;
}

#banner {
  background: url('../img/bg-banner.jpg'); 
  background-position: center center;
  background-size: 100%;
  text-align: center;
  position: relative;
  padding: 0;
}

#banner div p {
  padding: 20px 10px;
  color: #fff;
}

#contato {
  margin-top: 20px;
}

#contato form {
  display: flex;
  flex-direction: column;
}

#contato input,
#contato textarea {
  margin-bottom: 10px;
  padding: 10px;
}

#contato textarea {
  min-height: 100px;
}

#mensagemErro {
  background-color: lightpink;
  border: 1px solid darkred;
  padding: 10px;
  color: darkred;
  border-radius: 5px;
  display: none;
}

#mensagemSucesso {
  background-color: darkseagreen;
  border: 1px solid darkgreen;
  padding: 10px;
  margin: 10px;
  text-align: center;
  color: darkgreen;
  border-radius: 5px;
}

.alert {
  background-color: lightyellow;
  border: 1px solid rgb(183, 183, 23);
  padding: 10px;
  color: rgb(137, 128, 44);
  border-radius: 5px;
}

.button {
  display: block;
  background-color: var(--main-color);
  color: var(--white);
  padding: 10px 10px;
  text-decoration: none;
  border-radius: 5px;
  border: 1px solid var(--main-color-light);
  max-width: 300px;
  margin: 0 auto;
}

.overlay {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,.75);
}

@media screen and (min-width: 600px) {
  section {
    max-width: 600px;
    margin: 0 auto;
  }

  section#banner,
  section#hero {
    max-width: 100%;
  }

  header nav ul {
    display: flex;
  }

  header nav img {
    margin: 10px;
  }

  #hero {
    background-position: left center;
  }

  #hero .hero-content {
    width: 40%;
    margin-right: 20px;
    text-align: right;
  }
}

@media (prefers-color-scheme: dark) {
  :root {
    --main-bg-color: #313131;
    --main-menu-color: #000;
    --main-color: rgb(201, 201, 201);
    --main-color-light: #81c2be;
    --white: #000;
    --image-filter: brightness(150%);
    --black: #fff;
  }

  img[src*=".svg"] {
    filter: var(--image-filter);
  }

  #hero {
    color: #ccc;
  }
}